DELETE/api/v1/shops/bulkdelete

Delete Multiple Shops

The user can delete one or multiple shops with this endpoint. When the shops are deleted, the status of the shops will be moved to inactive in our systems.
DELETE/api/v1/shops/bulkdelete

Mandatory Fields

  • shopIds

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
ยป shopIdsbody[string]Requirednone

Responses

StatusMeaningDescriptionSchema
204No ContentSuccessfully deleted shopsNone
400Bad RequestInvalid request payloadNone
401UnauthorizedUnauthorized - authentication failedNone
404Not FoundNot found.None
429Too Many RequestsToo Many Requests.None
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X DELETE /api/v1/shops/bulkdelete \
  -H 'Content-Type: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "shopIds": [
    "shopId1",
    "shopId2",
    "shopId3"
  ]
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.